use alloc::{vec, vec::Vec};

use spin::{Lazy, Mutex};

pub struct Object {
    pub header: ObjectHeader,
    pub special: ObjectSpecial,
}

pub struct ObjectHeader {}

pub enum ObjectSpecial {
    Xml(xml::XMLElement),
}

pub type HostObjects = Vec<Option<Object>>;

pub const OBJECTS: Lazy<Mutex<HostObjects>> = Lazy::new(|| {
    let mut obj = vec![];
    Mutex::new(obj)
});
